Package com.android.server.os

# Class LinphoneTombstoneProtos.BacktraceFrame

java.lang.Object
com.google.protobuf.AbstractMessageLite<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.BacktraceFrame,LinphoneTombstoneProtos.BacktraceFrame.Builder>
com.android.server.os.LinphoneTombstoneProtos.BacktraceFrame

All Implemented Interfaces:
  `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`

Enclosing class:
  LinphoneTombstoneProtos

public static final class LinphoneTombstoneProtos.BacktraceFrame extends com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.BacktraceFrame,LinphoneTombstoneProtos.BacktraceFrame.Builder> implements LinphoneTombstoneProtos.BacktraceFrameOrBuilder
Protobuf type `BacktraceFrame`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`LinphoneTombstoneProtos.BacktraceFrame.Builder`
Protobuf type `BacktraceFrame`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageLite

`com.google.protobuf.GeneratedMessageLite.DefaultInstanceBasedParser<T extends com.google.protobuf.GeneratedMessageLite<T,?>>, com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.GeneratedExtension<ContainingType extends com.google.protobuf.MessageLite,Type extends Object>, com.google.protobuf.GeneratedMessageLite.MethodToInvoke, com.google.protobuf.GeneratedMessageLite.SerializedForm`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BUILD_ID_FIELD_NUMBER`
`static final int`
`FILE_MAP_OFFSET_FIELD_NUMBER`
`static final int`
`FILE_NAME_FIELD_NUMBER`
`static final int`
`FUNCTION_NAME_FIELD_NUMBER`
`static final int`
`FUNCTION_OFFSET_FIELD_NUMBER`
`static final int`
`PC_FIELD_NUMBER`
`static final int`
`REL_PC_FIELD_NUMBER`
`static final int`
`SP_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageLite

`unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`protected final Object`
`dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)`
`String`
`getBuildId()`
`string build_id = 8;`
`com.google.protobuf.ByteString`
`getBuildIdBytes()`
`string build_id = 8;`
`static LinphoneTombstoneProtos.BacktraceFrame`
`getDefaultInstance()`
`long`
`getFileMapOffset()`
`uint64 file_map_offset = 7;`
`String`
`getFileName()`
`string file_name = 6;`
`com.google.protobuf.ByteString`
`getFileNameBytes()`
`string file_name = 6;`
`String`
`getFunctionName()`
`string function_name = 4;`
`com.google.protobuf.ByteString`
`getFunctionNameBytes()`
`string function_name = 4;`
`long`
`getFunctionOffset()`
`uint64 function_offset = 5;`
`long`
`getPc()`
`uint64 pc = 2;`
`long`
`getRelPc()`
`uint64 rel_pc = 1;`
`long`
`getSp()`
`uint64 sp = 3;`
`static LinphoneTombstoneProtos.BacktraceFrame.Builder`
`newBuilder()`
`static LinphoneTombstoneProtos.BacktraceFrame.Builder`
`newBuilder(LinphoneTombstoneProtos.BacktraceFrame prototype)`
`static LinphoneTombstoneProtos.BacktraceFrame`
`parseDelimitedFrom(InputStream input)`
`static LinphoneTombstoneProtos.BacktraceFrame`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.BacktraceFrame`
`parseFrom(byte[] data)`
`static LinphoneTombstoneProtos.BacktraceFrame`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.BacktraceFrame`
`parseFrom(com.google.protobuf.ByteString data)`
`static LinphoneTombstoneProtos.BacktraceFrame`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.BacktraceFrame`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static LinphoneTombstoneProtos.BacktraceFrame`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.BacktraceFrame`
`parseFrom(InputStream input)`
`static LinphoneTombstoneProtos.BacktraceFrame`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.BacktraceFrame`
`parseFrom(ByteBuffer data)`
`static LinphoneTombstoneProtos.BacktraceFrame`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<LinphoneTombstoneProtos.BacktraceFrame>`
`parser()`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite

`createBuilder, createBuilder, dynamicMethod, dynamicMethod, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, emptyProtobufList, equals, getDefaultInstanceForType, getParserForType, getSerializedSize, hashCode, isInitialized, isInitialized, makeImmutable, mergeLengthDelimitedField, mergeUnknownFields, mergeVarintField, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBuilderForType, newMessageInfo, newRepeatedGeneratedExtension, newSingularGeneratedExtension, parseDelimitedFrom, parseDelimitedFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parsePartialFrom, parseUnknownField, registerDefaultInstance, toBuilder, toString, writeTo`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Field Details

### REL_PC_FIELD_NUMBER

public static final int REL_PC_FIELD_NUMBER

See Also:
  - Constant Field Values

### PC_FIELD_NUMBER

public static final int PC_FIELD_NUMBER

See Also:
  - Constant Field Values

### SP_FIELD_NUMBER

public static final int SP_FIELD_NUMBER

See Also:
  - Constant Field Values

### FUNCTION_NAME_FIELD_NUMBER

public static final int FUNCTION_NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### FUNCTION_OFFSET_FIELD_NUMBER

public static final int FUNCTION_OFFSET_FIELD_NUMBER

See Also:
  - Constant Field Values

### FILE_NAME_FIELD_NUMBER

public static final int FILE_NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### FILE_MAP_OFFSET_FIELD_NUMBER

public static final int FILE_MAP_OFFSET_FIELD_NUMBER

See Also:
  - Constant Field Values

### BUILD_ID_FIELD_NUMBER

public static final int BUILD_ID_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### getRelPc

public long getRelPc()
`uint64 rel_pc = 1;`

Specified by:
  `getRelPc` in interface `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
Returns:
  The relPc.

### getPc

public long getPc()
`uint64 pc = 2;`

Specified by:
  `getPc` in interface `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
Returns:
  The pc.

### getSp

public long getSp()
`uint64 sp = 3;`

Specified by:
  `getSp` in interface `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
Returns:
  The sp.

### getFunctionName

public String getFunctionName()
`string function_name = 4;`

Specified by:
  `getFunctionName` in interface `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
Returns:
  The functionName.

### getFunctionNameBytes

public com.google.protobuf.ByteString getFunctionNameBytes()
`string function_name = 4;`

Specified by:
  `getFunctionNameBytes` in interface `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
Returns:
  The bytes for functionName.

### getFunctionOffset

public long getFunctionOffset()
`uint64 function_offset = 5;`

Specified by:
  `getFunctionOffset` in interface `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
Returns:
  The functionOffset.

### getFileName

public String getFileName()
`string file_name = 6;`

Specified by:
  `getFileName` in interface `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
Returns:
  The fileName.

### getFileNameBytes

public com.google.protobuf.ByteString getFileNameBytes()
`string file_name = 6;`

Specified by:
  `getFileNameBytes` in interface `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
Returns:
  The bytes for fileName.

### getFileMapOffset

public long getFileMapOffset()
`uint64 file_map_offset = 7;`

Specified by:
  `getFileMapOffset` in interface `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
Returns:
  The fileMapOffset.

### getBuildId

public String getBuildId()
`string build_id = 8;`

Specified by:
  `getBuildId` in interface `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
Returns:
  The buildId.

### getBuildIdBytes

public com.google.protobuf.ByteString getBuildIdBytes()
`string build_id = 8;`

Specified by:
  `getBuildIdBytes` in interface `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
Returns:
  The bytes for buildId.

### parseFrom

public static LinphoneTombstoneProtos.BacktraceFrame parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.BacktraceFrame parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.BacktraceFrame parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.BacktraceFrame parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.BacktraceFrame parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.BacktraceFrame parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.BacktraceFrame parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.BacktraceFrame parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.BacktraceFrame parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.BacktraceFrame parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.BacktraceFrame parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.BacktraceFrame parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilder

public static LinphoneTombstoneProtos.BacktraceFrame.Builder newBuilder()

### newBuilder

public static LinphoneTombstoneProtos.BacktraceFrame.Builder newBuilder(LinphoneTombstoneProtos.BacktraceFrame prototype)

### dynamicMethod

protected final Object dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)

Specified by:
  `dynamicMethod` in class `com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.BacktraceFrame,LinphoneTombstoneProtos.BacktraceFrame.Builder>`

### getDefaultInstance

public static LinphoneTombstoneProtos.BacktraceFrame getDefaultInstance()

### parser

public static com.google.protobuf.Parser<LinphoneTombstoneProtos.BacktraceFrame> parser()